import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { SingleRecordValidatorComponent } from "./pages/single-record-validator/single-record-validator.component";
import {OaipmhValidatorComponent} from "./pages/oaipmh-validator/validation-settings/oaipmh-validator.component";
import {OaipmhHistoryComponent} from "./pages/oaipmh-validator/validation-history/oaipmh-history.component";
import {OaipmhAnalysisComponent} from "./pages/oaipmh-validator/validation-analysis/oaipmh-analysis.component";

const routes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'single-record-validate'
  },
  {
    path: 'single-record-validate',
    component: SingleRecordValidatorComponent
  },
  {
    path: 'oaipmh-analysis',
    component: OaipmhAnalysisComponent
  },
  {
    path: 'oaipmh-history',
    component: OaipmhHistoryComponent
  },
  {
    path: 'oaipmh',
    component: OaipmhValidatorComponent
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
